Commits

Anonymous committed 5ff0c82

Fix JDK(JRE) requirement message

Comments (0)

Files changed (3)

installer/infra/build/web/js/build_info.js

 var ZIP_FILES_PREFIX            = "{nb.zip.files.prefix}";
 var BUNDLE_FILES_PREFIX         = "{nb.bundle.files.prefix}";
 
-var JDK_LATEST_UPDATE = "6";
+var JDK_LATEST_UPDATE = "7";
 
 var BINARIES_LOCATION = "";
 

installer/infra/build/web/js/download.js

         document.getElementById("jdk_note").innerHTML = JDK_NOTE_MACOSX;
     }
     else {
-        document.getElementById("jdk_note").innerHTML = JDK_NOTE_ALL.replace('{0}',JDK_DOWNLOAD_LINK).replace('{1}',NBJDK_DOWNLOAD_LINK).replace('{2}',JDK_LATEST_UPDATE);
+        document.getElementById("jdk_note").innerHTML = JDK_NOTE_ALL.replace('{0}',JDK_DOWNLOAD_LINK).replace('{1}',NBJDK_DOWNLOAD_LINK).replace('{2}',JDK_LATEST_UPDATE).replace('{2}',JDK_LATEST_UPDATE).replace('{3}',JAVA_COM_LINK);
     }
 }
 

installer/infra/build/web/js/download_strings.js

 var JDK_DOWNLOAD_LINK    = "http://java.sun.com/javase/downloads/index.jsp";
 var NBJDK_DOWNLOAD_LINK  = "http://java.sun.com/javase/downloads/netbeans.html";
 
-var JDK_NOTE_ALL      = "JDK 6 or JDK 5.0 is required for installing and running the NetBeans IDE. You can download <a href=\"{0}\">standalone JDK</a> or download the latest <a href=\"{1}\">JDK6 Update {2} with NetBeans IDE Java SE bundle</a>.";
-var JDK_NOTE_MACOSX   = "JDK 5.0 is required for installing and running the NetBeans IDE.";
+var JAVA_COM_LINK        = "http://java.com/";
+
+var JDK_NOTE_ALL      = "Java 6 or Java 5 is required for installing and running the PHP, Ruby and C/C++ NetBeans Bundle. You can download the <a href=\"{3}\">latest Java 6 Update {2} at java.com</a>.<br><br>JDK 6 or JDK 5.0 is required for installing and running the Java SE, Mobility, \"Web and Java EE\" and \"All\" NetBeans Bundle. You can download <a href=\"{0}\">standalone JDK</a> or download the latest <a href=\"{1}\">JDK6 Update {2} with NetBeans IDE Java SE bundle</a>.<br>";
+//var JDK_NOTE_MACOSX   = "JDK 5.0 is required for installing and running the NetBeans IDE.";
+var JDK_NOTE_MACOSX   = "";
 
 var FREE_SIZE_MESSAGE  = "Free,&nbsp;{0}&nbsp;MB";
 var NOT_AVAILABLE_SIZE = "--";